# Packmangroup: Multimedia
# Packmanpackagename: mjpegtools
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>Update for the SuSE provided Version which dosen't contain mpeg-tools, so there can't be build Video-CDs with VideoDVD-Rip.</p><p>Including the missing files in the SUSE package to create VCDs.</p>
# Packmanpackagedesc_de: <p>Update zur von SuSE mitgelieferten Version, die keine mpeg-tools enth&auml;lt, was z.B. die Video-CD-Erstellung VideoDVD-Rip verhindert.</p><p>Inklusive der fehlenden Dateine des SUSE Pakets, um VCDs zu erstellen.</p>

#
# spec file for package mjpegtools (Version 1.9.0.0)
#
# Based on the SuSE-Spec File:
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
#

# norootforbuild

Name:           mjpegtools19
Summary:        MJPEG Video Capture and Processing Tools
Summary(de):    MJPEG Video Capturing und Bearbeitungstools
License:        BSD License and BSD-like, GNU General Public License (GPL)
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://mjpeg.sourceforge.net/
Version:        1.9.0.0
Release:        16.1
Source0:        mjpegtools-1.9.0.tar.bz2
Patch0:         mjpegtools-cpuinfo.patch
Patch2:         mjpegtools-getopt.patch
Patch3:         mjpegtools-writeable_strings.patch
Patch4:         mjpegtools-gcc43.patch
Patch5:         mjpegtools-vector_alignment.patch
Patch6:         mjpegtools-fix-invalid-conversion.patch
Patch7:         mjpegtools-fix-no-return-in-nonvoid-function.diff
Patch8:         mjpegtools-v4l-2.6.38.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       mjpegtools19-libs = %{version}
Conflicts:      mjpegtools
BuildRequires:  autoconf automake libtool
BuildRequires:  aaa_base
BuildRequires:  SDL-devel
BuildRequires:  expat
BuildRequires:  freetype2
BuildRequires:  freetype2-devel
%if 0%{?suse_version} < 1130
BuildRequires:  glib
BuildRequires:  glib-devel
BuildRequires:  gtk
BuildRequires:  gtk-devel
%endif
BuildRequires:  libdv
BuildRequires:  libpng-devel
BuildRequires:  libswscale_oldabi0
BuildRequires:  libquicktime-devel
%if 0%{?suse_version} >= 1210
BuildRequires:  libv4l-devel >= 0.8.4
%endif
BuildRequires:  gcc-c++
BuildRequires:  gtk2
BuildRequires:  gtk2-devel
BuildRequires:  libdv-devel
BuildRequires:  libjpeg-devel
%ifarch i386 i486 i586 i686 i786 i868 i986 k6 k7 athlon x86_64 amd64 ia32e ppc
BuildRequires:  nasm
%endif
BuildRequires:  popt-devel
BuildRequires:  update-desktop-files

%description
The mjpegtools allow for capture, playback, processing and simple editing of
MJPEG AV data. The hardware I/O applications are intended for use with Zoran
MJPEG framegrabber-based hardware (see package zoran-driver), but the processing
tools can be used with MJPEG data from other sources as well.


Authors:
--------
    Gernot Ziegler <gz@lysator.liu.se>
    Rainer Johanni <rainer@johanni.de>
    Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk>
    Xavier Biquard
    Ronald Bultje

%description -l de
Die mjpegtools sind fürs Aufnehmen, Abspielen und simples cut-and-paste Editieren
mit der MPEG Kompression (Audio und Video) unter linux. Transcode braucht diese
Tools um das mpeg2enc export Modul bauen zu können das für das herstellen von
SVCDS wichtig ist.


Autoren:
--------
    Gernot Ziegler <gz@lysator.liu.se>
    Rainer Johanni <rainer@johanni.de>
    Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk>
    Xavier Biquard
    Ronald Bultje

%package libs
Group:          Productivity/Multimedia/Video/Editors and Convertors
Summary:        MJPEG Video Capture and Processing Tools - libs
Summary(de):    MJPEG Video Capturing und Bearbeitungstools - libs

%description libs
The mjpegtools allow for capture, playback, processing, and simple
editing of MJPEG AV data. The hardware I/O applications are intended
for use with Zoran MJPEG framegrabber-based hardware (see the
zoran-driver package), but the processing tools can be used with MJPEG
data from other sources as well.
Libs for mjpegtools.


Authors:
--------
    Gernot Ziegler <gz@lysator.liu.se>
    Rainer Johanni <rainer@johanni.de>
    Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk>
    Xavier Biquard
    Ronald Bultje

%description libs -l de
Die mjpegtools sind fürs Aufnehmen, Abspielen und simples cut-and-paste Editieren
mit der MPEG Kompression (Audio und Video) unter linux. Transcode braucht diese
Tools um das mpeg2enc export Modul bauen zu können das für das herstellen von
SVCDS wichtig ist.
Bibliotheken für mjpegtools.


Autoren:
--------
    Gernot Ziegler <gz@lysator.liu.se>
    Rainer Johanni <rainer@johanni.de>
    Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk>
    Xavier Biquard
    Ronald Bultje


%package devel
Group:          Development/Libraries/C and C++
Summary:        MJPEG Video Capture and Processing Tools
Summary(de):    MJPEG Video Capturing und Bearbeitungstools
Conflicts:      mjpegtolls-devel
Requires:       mjpegtools19-libs = %{version}
Requires:       glibc-devel, libstdc++-devel, zlib-devel, libjpeg-devel
Requires:       libquicktime-devel, libdv-devel

%description devel
The mjpegtools allow for capture, playback, processing, and simple
editing of MJPEG AV data. The hardware I/O applications are intended
for use with Zoran MJPEG framegrabber-based hardware (see the
zoran-driver package), but the processing tools can be used with MJPEG
data from other sources as well.



Authors:
--------
    Gernot Ziegler <gz@lysator.liu.se>
    Rainer Johanni <rainer@johanni.de>
    Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk>
    Xavier Biquard
    Ronald Bultje

%description devel -l de
Die mjpegtools sind fürs Aufnehmen, Abspielen und simples cut-and-paste Editieren
mit der MPEG Kompression (Audio und Video) unter linux. Transcode braucht diese
Tools um das mpeg2enc export Modul bauen zu können das für das herstellen von
SVCDS wichtig ist.


Autoren:
--------
    Gernot Ziegler <gz@lysator.liu.se>
    Rainer Johanni <rainer@johanni.de>
    Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk>
    Xavier Biquard
    Ronald Bultje



%prep
%setup -q -n mjpegtools-1.9.0
%patch0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%if 0%{?suse_version} >= 1210
%patch8 -p1
%endif
echo "" > cpuinfo.sh

%build
%ifarch %ix86
  export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%else
%ifarch  x86_64 amd64 ia32e
  export CFLAGS="$RPM_OPT_FLAGS -L/usr/lib64 -fPIC -fno-strict-aliasing"
%else
  export CFLAGS="$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing"
%endif
%endif
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
autoreconf -vfi
./configure --prefix=%{_prefix}			\
	--libdir=%{_libdir}			\
	--mandir=%{_mandir}			\
	--infodir=%{_infodir}			\
%ifarch ppc ppc64
	--disable-simd-accel			\
%endif
%ifarch %ix86
	--with-jpeg-mmx=`pwd`/jpeg-mmx-0.1.4	\
%endif
	--disable-cmov-extension		\
	--with-quicktime=%{_includedir}/quicktime	\
	--with-dv=%{_prefix}				\
	--disable-warnings_as_errors
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
mkdir %{buildroot}
%{makeinstall}
%{__install} -m 755 scripts/lav2mpeg %{buildroot}%{_bindir}
%{__rm} %{buildroot}/%{_infodir}/dir
%{__rm} -f %{buildroot}/%{_libdir}/*.a
%{__rm} %{buildroot}/%{_libdir}/*.la
# For weird change in soname in 12.1
%if 0%{?suse_version} == 1210
ln -s liblavfile-1.9.so.0 %{buildroot}/%{_libdir}/liblavfile-1.9.so
ln -s liblavjpeg-1.9.so.0 %{buildroot}/%{_libdir}/liblavjpeg-1.9.so
ln -s liblavplay-1.9.so.0 %{buildroot}/%{_libdir}/liblavplay-1.9.so
ln -s liblavrec-1.9.so.0 %{buildroot}/%{_libdir}/liblavrec-1.9.so
ln -s libmjpegutils-1.9.so.0 %{buildroot}/%{_libdir}/libmjpegutils-1.9.so
ln -s libmpeg2encpp-1.9.so.0 %{buildroot}/%{_libdir}/libmpeg2encpp-1.9.so
ln -s libmplex2-1.9.so.0 %{buildroot}/%{_libdir}/libmplex2-1.9.so
%endif

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/mjpeg-howto.info.gz

%post libs
/sbin/ldconfig

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/mjpeg-howto.info.gz

%postun libs
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES COPYING ChangeLog HINTS INSTALL NEWS README* TODO
%{_bindir}/*
%doc %{_mandir}/man1/*.1.gz
%doc %{_mandir}/man5/*.5.gz
%doc %{_infodir}/mjpeg-howto*

%files libs
%defattr(-,root,root)
%if 0%{?suse_version} == 1210
%{_libdir}/lib*-1.9.so
%endif
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/mjpegtools
%{_libdir}/liblavfile.so
%{_libdir}/liblavjpeg.so
%{_libdir}/liblavplay.so
%{_libdir}/liblavrec.so
%{_libdir}/libmjpegutils.so
%{_libdir}/libmpeg2encpp.so
%{_libdir}/libmplex2.so
%{_libdir}/pkgconfig/mjpegtools.pc

%changelog
* Sat Jul  7 2012 toddrme2178@gmail.com
- Add 32bit compatibility libraries (needed by
  gstreamer-0_10-plugins-bad-orig-addon-32bit)
* Sun May 20 2012 seife+obs@b1-systems.com
- remove obsolete mjpegtools-includes.patch
- remove obsolete %%suse_update_config from specfile
- add automake... buildrequires to fix Factory build
* Sun Jun 12 2011 Manfred.Tremmel@iiv.de
- readded mjpegtools 1.9.0 as mjpegtools19 because of incompatibilities to 2.0.0
* Sun Mar 28 2010 Manfred.Tremmel@iiv.de
- added mjpegtools-fix-no-return-in-nonvoid-function.diff to fix build
  on openSUSE 11.3 (factory)
* Sun Feb 14 2010 detlef@links2linux.de
- fix BuildRequires for libjpeg and libquicktime
* Mon Sep 21 2009 Manfred.Tremmel@iiv.de
- added patch to compile it with gcc 4.4 (openSUSE 11.2)
* Wed Aug 26 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Tue Jan  6 2009 Manfred.Tremmel@iiv.de
- update to version 1.9.0
* Sat Dec 13 2008 Manfred.Tremmel@iiv.de
- update to version 1.9.0rc4
* Tue Apr 29 2008 Manfred.Tremmel@iiv.de
- update to version 1.9.0rc3
* Sat Nov 25 2006 Manfred.Tremmel@iiv.de
- added libquicktime patch, SUSE used in 10.2
* Sun Mar 26 2006 Manfred.Tremmel@iiv.de
- removed 1.6.2
* Wed Oct 19 2005 Manfred.Tremmel@iiv.de
- included old 1.6.2 aditional to 1.8.0 for compatibility reasons
* Tue Sep 20 2005 Manfred.Tremmel@iiv.de
- update to version 1.8.0
* Fri Apr  1 2005 Manfred.Tremmel@iiv.de
- added CVS updates because of problems with newer libquicktime
  versions (like in SuSE 9.3)
* Fri Dec 24 2004 Manfred.Tremmel@iiv.de
- sync with SuSE 9.2 specfile
- some cleanups
* Sun May  2 2004 Manfred.Tremmel@iiv.de
- sync with SuSE 9.1 specfile
* Sat Feb 14 2004 Manfred.Tremmel@iiv.de
- update mjpegtools -> 1.6.2, jpeg-mmx -> 0.1.5
* Sat Jan 17 2004 Manfred.Tremmel@iiv.de
- update -> 1.6.1.93
* Sat Nov 29 2003 Manfred.Tremmel@iiv.de
- update -> 1.6.1.92
* Sat Sep  6 2003 Manfred.Tremmel@iiv.de
- update -> 1.6.1.90
* Sun Aug 10 2003 Manfred.Tremmel@iiv.de
- a little patch to compile with avifile 0.7.38
- some changes to make it compileable on ppc without problems
* Sat Apr 12 2003 Manfred.Tremmel@iiv.de
- added packman build header
- added german translation
- buildnumber updated to get no conflicts with SuSE 8.2 RPM
* Thu Dec 12 2002 Manfred.Tremmel@iiv.de
- update -> 1.6.1
* Wed Nov 27 2002 Manfred.Tremmel@iiv.de
- Rebuild for Packman with all packages
* Fri Jul  5 2002 kukuk@suse.de
- Use %%%%ix86 macro
* Thu Jul  4 2002 ro@suse.de
- neededforbuild quicktime4linux -> libquicktime
* Tue Jun 25 2002 uli@suse.de
- build movtar with -fPIC
* Wed Jun 12 2002 uli@suse.de
- update -> 1.6.0 (final)
* Fri May 24 2002 meissner@suse.de
- %%%%_lib fixes.
* Fri Apr 26 2002 uli@suse.de
- update -> 1.6.0-rc2
- update jpeg-mmx -> 0.1.4-rc1
- update libmovtar -> 0.1.3-rc1
- ditched buildroot crap, it breaks movtar
- disabled cmov optimizations (no runtime detection)
- changed MPEGTOOLS switch to DISTRIBUTABLE (with inverse logic)
  to ensure consistency with other packages
* Wed Apr  3 2002 sf@suse.de
- update to 1.6.0-beta2
- gcc3 fix
- spec cleanup
- removed mjpegtools.dif
- added DV-support again, as mmx-detection in libdv is "fixed"
- added buildroot
* Fri Feb  8 2002 uli@suse.de
- build without DV support (causes reliable segfaults even on
  non-DV input)
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Jan 25 2002 uli@suse.de
- update -> 1.6.0-beta1
* Wed Aug  8 2001 ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Tue Jul 10 2001 uli@suse.de
- initial package
